Bug 1740807 - podman is broken.. again (/usr/share/containers/oci/hooks.d: no such file or directory)
Summary: podman is broken.. again (/usr/share/containers/oci/hooks.d: no such file or ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: podman
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthew Heon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-13 16:23 UTC by Igor Raits
Modified: 2021-03-08 15:24 UTC (History)
6 users (show)

Fixed In Version: podman-1.5.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-08 15:24:06 UTC
Type: Bug


Attachments (Terms of Use)

Description Igor Raits 2019-08-13 16:23:17 UTC
⋊> ~/P/f/r/leatherman on epel7 ⨯ podman run -it --rm centos:7 bash                                                                                                          18:04:55
Error: error setting up OCI Hooks: open /usr/share/containers/oci/hooks.d: no such file or directory

⋊> ~/P/f/r/leatherman on epel7 ⨯ rpm -q podman                                                                                                                              18:22:07
podman-1.5.1-0.3.dev.git3bc861c.fc31.x86_64

Comment 1 Igor Raits 2019-08-13 16:25:05 UTC
podman-1.5.1-0.6.dev.git2348c28.fc31.x86_64 is broken same way... is anybody who is pushing updates tests it?

Comment 2 Matthew Heon 2019-08-13 17:12:21 UTC
Lokesh - what package provides `/usr/share/containers/oci/hooks.d/`?

Comment 3 Matthew Heon 2019-08-13 17:19:30 UTC
Actually, nevermind... We can fix this for Fedora by making some hard dependency create the dir, but that doesn't help other distros. I'll look into making ENOENT non-fatal here.

Comment 4 Daniel Walsh 2019-08-13 17:29:44 UTC
Yes it should definitely not be fatal.

Looks like oci hooks packages are the ones who own this directory.

rpm -qf /usr/share/containers/oci/hooks.d
oci-register-machine-0-10.git66fa845.fc30.x86_64
oci-umount-2.5-1.gitc3cda1f.fc30.x86_64

Comment 5 Matthew Heon 2019-08-13 18:59:51 UTC
https://github.com/containers/libpod/pull/3806 to fix

Comment 6 Daniel Walsh 2019-08-14 12:35:18 UTC
Merged upstream

Fixed in podman-1.5.1 or newer

Comment 7 Ben Cotton 2020-02-11 17:37:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.


Note You need to log in before you can comment on or make changes to this bug.